# $Revision: 1.7 $, $Date: 2008-01-22 21:53:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	DomainKeys
Summary:	Mail::Alias - implementation of Yahoo's mail signature protocol
Summary(pl.UTF-8):	Mail::Alias - implementacja protokołu sygnatur pocztowych Yahoo
Name:		perl-Mail-DomainKeys
Version:	1.0
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a4565f21ada263cf34c55f50d7eb9944
Patch0:		%{name}-notconnected.patch
BuildRequires:	perl-Crypt-OpenSSL-RSA
#BuildRequires:	perl-Mail-Address
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Net-DNS >= 0.34
#BuildRequires:	perl-Test-More
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::DomainKeys is a perl implementation of Yahoo's mail signature
protocol.

This library allows one to sign and verify signatures as per per draft
03 of the DomainKeys specification:

http://www.ietf.org/internet-drafts/draft-delany-domainkeys-base-03.txt

%description -l pl.UTF-8
Mail::DomainKeys jest implementacją protokołu sygnatur pocztowych Yahoo.

Ta biblioteka umożliwia sygnowanie i weryfikacje sygnatur zgodnie z
draftem 03 specyfikacji DomainKeys:

http://www.ietf.org/internet-drafts/draft-delany-domainkeys-base-03.txt

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp t/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Mail/DomainKeys
%dir %{perl_vendorlib}/Mail/DomainKeys/Key
%{perl_vendorlib}/Mail/DomainKeys.pm
%{perl_vendorlib}/Mail/DomainKeys/*.pm
%{perl_vendorlib}/Mail/DomainKeys/Key/*.pm
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-DomainKeys.spec,v $
Revision 1.7  2008-01-22 21:53:52  arekm
- up to 1.0

Revision 1.6  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 13:02:05  arekm
- up to 0.88

Revision 1.4  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.3  2006/01/09 17:56:05  qboosh
- unified (grepable files)

Revision 1.2  2006/01/03 15:34:39  baggins
- release 1
- clean up changelog

Revision 1.1  2006/01/03 15:28:23  baggins
- initial revision
